Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## probability_distribution
Class ProbabilityDist

    java.lang.Object
      probability_distribution.ProbabilityDist

Direct Known Subclasses:
  ExponentialDist, UniformDist

    public abstract class ProbabilityDist

extends java.lang.Object

This abstract class defines the method that a probability distribution should provide.

Author:
  Majd Kokaly

Constructor Summary
`ProbabilityDist()`

Method Summary
`abstract double` | `FInverse(double x)` Every Probability Distribution should include a function which returns the inverse of probability function
`double` | `getNextValue()` For example, producing a collection of 100 numbers by invoking this method 100 times, will produce a collection of numbers that conform to a specific probability distribution.
`double` | `getTimeToNextEvent()` Just an alias for getNextValue.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProbabilityDist

    public ProbabilityDist()

Method Detail

### getNextValue

    public double getNextValue()

  For example, producing a collection of 100 numbers by invoking this method 100 times, will produce a collection of numbers that conform to a specific probability distribution. The probability distribution is determined by the implementation of this abstract class. This method, for instance could be used to give the time between events, if these events happen to follow a specific distribution.

### getTimeToNextEvent

    public final double getTimeToNextEvent()

  Just an alias for getNextValue.

  Returns:
    getNextValue()

### FInverse

    public abstract double FInverse(double x)

  Every Probability Distribution should include a function which returns the inverse of probability function

  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD